import { ResolvedFn, RejectedFn } from '../types';
interface Interceptor<T> {
    resolved: ResolvedFn<T>;
    rejected?: RejectedFn;
}
export default class InterceptorManager<T> {
    private interceptors;
    constructor();
    use(resolved: ResolvedFn<T>, rejected?: RejectedFn): number;
    eject(id: number): void;
    forEach(fn: (interceptors: Interceptor<T>) => void): void;
}
export {};
